Bug Hunting Session
Bug 95881 - Graphite autoligature errors in hungarian ducuments
Summary: Graphite autoligature errors in hungarian ducuments
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.3.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Rendering
  Show dependency treegraph
 
Reported: 2015-11-17 19:42 UTC by pjotr99
Modified: 2018-05-18 02:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Graphite ligature errors in hungarian ducuments (11.42 KB, application/vnd.oasis.opendocument.text)
2015-11-17 19:42 UTC, pjotr99
Details
Screen clip 1 (147.99 KB, image/jpeg)
2015-11-18 12:32 UTC, pjotr99
Details
Screen clip 2 (133.33 KB, image/jpeg)
2015-11-18 12:33 UTC, pjotr99
Details
Screen clip 2 OK (133.33 KB, image/jpeg)
2015-11-18 12:34 UTC, pjotr99
Details
screen clips Graphite autoligature issue with and without OpenGL active (166.25 KB, application/zip)
2015-11-18 13:55 UTC, V Stuart Foote
Details
Screen clip Windows/Ubuntu (46.56 KB, image/png)
2016-10-05 13:07 UTC, siggibugzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pjotr99 2015-11-17 19:42:04 UTC
Created attachment 120605 [details]
Graphite ligature errors in hungarian ducuments

Details in Attachment
Comment 1 V Stuart Foote 2015-11-17 22:03:03 UTC
Thanks for posting... however, please provide LibreOffice version details (from the Help -> About dialog), along with OS and Desktop Environment in use.

Finally, we'll need a few screen clips of your Graphite ligature issue for the test document as open on your system.

Post those items, and set back to unconfirmed.

Thanks!
Comment 2 pjotr99 2015-11-18 12:32:29 UTC
Created attachment 120621 [details]
Screen clip 1
Comment 3 pjotr99 2015-11-18 12:33:26 UTC
Created attachment 120622 [details]
Screen clip 2
Comment 4 pjotr99 2015-11-18 12:34:24 UTC
Created attachment 120623 [details]
Screen clip 2 OK
Comment 5 V Stuart Foote 2015-11-18 12:38:23 UTC
Comment on attachment 120622 [details]
Screen clip 2

reset MIME type
Comment 6 V Stuart Foote 2015-11-18 13:52:33 UTC
I can confirm, on Windows build of 5.3.2 with or without OpenGL enabled (e5f16313668ac592c1bfb310f4390624e3dbfb75-GL). 

The automatic ligature of Linux Libertine G is malformed. And when disabled with the "special" font name appending :liga=0 it font behaves, but of course loses the ligature.

My screen clip attached with and without OpenGL active show the Graphite ligature issue ( with OpenGL active affected by issue of bug 95648 ).

@László, one for your review.
Comment 7 V Stuart Foote 2015-11-18 13:55:44 UTC
Created attachment 120626 [details]
screen clips Graphite autoligature issue with and without OpenGL active
Comment 8 siggibugzilla 2016-10-05 13:07:29 UTC
Created attachment 127823 [details]
Screen clip Windows/Ubuntu

I made a screenshot as well for LO 5.2.2.2 (left: Win 10/right: Ubuntu 16.04LTS) The problem seems to occur when a ligature is followed by a footnote. Any language is affected.
Comment 9 QA Administrators 2018-05-18 02:33:15 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug